[android-components](../../../index.md) / [mozilla.components.feature.top.sites](../../index.md) / [TopSitesStorage](../index.md) / [Observer](./index.md)

# Observer

`interface Observer` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/top-sites/src/main/java/mozilla/components/feature/top/sites/TopSitesStorage.kt#L42)

Interface to be implemented by classes that want to observe the top site storage.

### Functions

| Name | Summary |
|---|---|
| [onStorageUpdated](on-storage-updated.md) | `abstract fun onStorageUpdated(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Notify the observer when changes are made to the storage. |
